Skip to main content
`Ctrl`+`K`

# PCGASMGetSubmatrices

Gets the local submatrices (for this MPI process only) for the `PCGASM` additive Schwarz preconditioner.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMGetSubmatrices(PC pc, PetscInt *n, Mat *mat[])

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- n - the number of matrices for this MPI process (default value = 1)

- mat - the matrices

## Note

Matrices returned by this routine have the same communicators as the index sets (`IS`) used to define subdomains in `PCGASMSetSubdomains()`

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMSetOverlap()`, `PCGASMGetSubKSP()`, `PCGASMCreateSubdomains2D()`, `PCGASMSetSubdomains()`, `PCGASMGetSubdomains()`

## Level

advanced

## Location

src/ksp/pc/impls/gasm/gasm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages